javax.servlet.jsp.tagext

## Class PageData

- java.lang.Object
- - javax.servlet.jsp.tagext.PageData

-     public abstract class PageData
      extends java.lang.Object

  Translation-time information on a JSP page. The information corresponds to the XML view of the JSP page.

  Objects of this type are generated by the JSP translator, e.g. when being passed to a TagLibraryValidator instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageData()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.io.InputStream` | `getInputStream()` Returns an input stream on the XML view of a JSP page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageData

          public PageData()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### getInputStream

          public abstract java.io.InputStream getInputStream()

      Returns an input stream on the XML view of a JSP page. The stream is encoded in UTF-8. Recall that the XML view of a JSP page has the include directives expanded.
      Returns:
        An input stream on the document.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.